Masumi Logo

/x402-pay

Signs a payment for a forwarded 402 using a managed EVM wallet, charged against the caller budget. Returns the X-PAYMENT header for the caller to send with its own retried request; this service never fetches the resource itself.

POST
/x402/pay
token<token>

API key authentication via header (token)

In: header

Request Body

application/json

The 402 Payment Required response the buyer received

Response Body

application/json

curl -X POST "https://loading/./../api/v1/x402/pay" \  -H "Content-Type: application/json" \  -d '{    "evmWalletId": "clmanagedwallet0001",    "paymentRequired": {      "x402Version": 1,      "resource": {        "url": "https://api.example-agent.com/run"      },      "accepts": [        {          "scheme": "exact",          "network": "eip155:8453",          "asset": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",          "amount": "1000000",          "payTo": "0x2222222222222222222222222222222222222222",          "maxTimeoutSeconds": 300        }      ]    }  }'
{
  "status": "success",
  "data": {
    "attemptId": "clx402attempt0001",
    "payer": "0x1111111111111111111111111111111111111111",
    "caip2Network": "eip155:8453",
    "asset": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
    "amount": "1000000",
    "payTo": "0x2222222222222222222222222222222222222222",
    "xPaymentHeader": "eyJ4NDAyVmVyc2lvbiI6MSwicGF5bG9hZCI6eyJzaWduYXR1cmUiOiIweC4uLiJ9fQ==",
    "paymentPayload": {
      "x402Version": 1,
      "accepted": {
        "scheme": "exact",
        "network": "eip155:8453",
        "asset": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
        "amount": "1000000",
        "payTo": "0x2222222222222222222222222222222222222222",
        "maxTimeoutSeconds": 300
      },
      "payload": {
        "signature": "0x..."
      }
    },
    "paymentPayloadHash": "b3f1c2a4d5e6f70819203a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f",
    "paymentIdentifier": null
  }
}
Masumi Kanji